Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.tagvalue
Class ParserListener

    java.lang.Object
      org.biojava.bio.program.tagvalue.ParserListener

    public class ParserListener

extends Object

`ParserListener` is an immutable pairing of a parser and listener.

Author:
  Matthew Pocock, Keith James

Constructor Summary
`ParserListener(TagValueParser parser, TagValueListener listener)` Creates a new `ParserListener` instance.

Method Summary
`TagValueListener` | `getListener()` `getListener` returns the listener of the pair.
`TagValueParser` | `getParser()` `getParser` returns the parser of the pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserListener

    public ParserListener(TagValueParser parser,
                          TagValueListener listener)

  Creates a new `ParserListener` instance.

  Parameters:
    `parser` - a `TagValueParser`.
    `listener` - a `TagValueListener`.

Method Detail

### getParser

    public TagValueParser getParser()

  `getParser` returns the parser of the pair.

  Returns:
    a `TagValueParser`.

### getListener

    public TagValueListener getListener()

  `getListener` returns the listener of the pair.

  Returns:
    a `TagValueListener`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD